
Figure - Bug #114775
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT1】【ST】【Tlog】Tlog中勾选tcpdump日志，点击stop后tlog中没有tcpdump日志生成
2022-12-23 16:34 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-12-23

Priority: High Due date: 2022-12-27

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0061.X101

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-09

Test Type: ST Root cause: 使用apk抓取tcpdump的log，没有添加相应的selinux，tcpdump产生的文件权限为600，导致没有打包

Description

【前提条件】

None

【测试步骤】

1、设备烧机后，进入主界面

2、通过*#147#打开tlog，选择tcpdump log后start

3、等待一段时间后点击stop

4、查看tlog文件中是否存在tcpdump log

【预期结果】

4. tcpdump log生成

【实际结果】

5. tcpdump log未生成

History

#1 - 2022-12-26 17:08 - CDTS-TEST 周婷

- Due date set to 2022-12-27

- Target version set to VX1_MCE_FSE_V5.0_20221230

#2 - 2022-12-27 19:18 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

171903 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hubing0803@thundersoft.com

system:log:add tcpdump selinuxadd tcpdump need selinuxTC-RID: 1200-0800102IssueID: TS-R-BUG-114775Change-Id:

I07fcfcc64799665f42a84547eab35f8ac323c618

#3 - 2022-12-27 19:22 - CD SYSTEM-夏旭

- Status changed from New to RESOLVED
- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-27

- Root cause set to 使用apk抓取tcpdump的log，没有添加相应的selinux

■ Current conclusion

已处理。运行命令，有tcpdump的文件产生。

■ My analysis

使用apk抓取tcpdump的log，没有添加相应的selinux。

■ Next action 

测试验证

#4 - 2022-12-28 15:41 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD SYSTEM-夏旭

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202212280332

验证结果：验证失败

点击stop后，在/data/manual/ 下有日志生成，pull /sdcard/tlog/的压缩包没有文件tcpdump日志

#5 - 2023-01-06 17:31 - CD SYSTEM-夏旭

userdebug版本已经没有问题，在修改user版本的selinux

#6 - 2023-01-09 16:00 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

174507 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

xu.xia@thundersoft.com

system:log:modify tcpdumpmodify tcpdump file from 600 to 666add tlogd.shTC-RID: 1200-0800102IssueID: TS-R-BUG-114775Change-Id:

I95f2eaae36e9d2b31b334ef742536cb1fa40fc9c

#7 - 2023-01-09 16:00 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

172916 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com
system:log:add tcpdump selinuxadd tcpdump need selinuxTC-RID: 1200-0800102IssueID: TS-R-BUG-114775Change-Id:

I080746776c570a278a9a8853d7ca0c764aae6821

#8 - 2023-01-09 16:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

174505 general/device/qcom/sepolicy_vndr Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

xu.xia@thundersoft.com

system:log:modify tcpdumpmodify tcpdump file from 600 to 666add selinuxTC-RID: 1200-0800102IssueID: TS-R-BUG-114775Change-Id:

I504df027a5b33571568de05ce29688964163c808

#9 - 2023-01-09 16:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

174685 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com

system:log:modify tcpdumpmodify tcpdump file from 600 to 666add service tlogdsh to tlogd.rcTC-RID: 1200-0800102IssueID: TS-R-BUG-114775Change-Id:

Icd626d69e207855320fba8bd8206c62d26dd8531

#10 - 2023-01-09 16:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

174506 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

xu.xia@thundersoft.com

system:log:modify tcpdumpmodify tcpdump file from 600 to 666add tlogd.sh to figure.mkTC-RID: 1200-0800102IssueID: TS-R-BUG-114775Change-Id:

If43cca8a44fc85616d29b4f3025d80861de10d07

#11 - 2023-01-09 16:15 - CD SYSTEM-夏旭

- Status changed from VERIFY_FAILED to RESOLVED

- Fixed Version changed from 2022-12-27 to 2023-01-09

- Root cause changed from 使用apk抓取tcpdump的log，没有添加相应的selinux to 使用apk抓取tcpdump的log，没有添加相应的selinux，tcpdump产生的文件权

限为600，导致没有打包
■ Current conclusion

已处理。apk点击stop之后打包的压缩包包含tcpdump的文件

■ My analysis

tcpdump产生的文件权限为600，导致没有打包

■ Next action

测试验证

#12 - 2023-01-09 16:16 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

#13 - 2023-01-13 16:56 - 移动测试一组_CDTS 刘强

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

验证结果：验证通过

#14 - 2023-01-13 16:56 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

#15 - 2023-01-13 16:56 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
